# Module globals
# NONE

# User interface
dataSummaryUI <- function(id)
{
  ns <- NS(id)

  tagList(
    box(
      width = 12,
      title = "Missing data summary",
      solidHeader = TRUE,
      status = "primary",
      plotOutput(ns("summaryPlot"))
    )
  )
}

# Server logic
dataSummary <- function(input, output, session, inputData)
{
  output[["summaryPlot"]] <- renderPlot({
    # Respond to inputData change
    inputData <- inputData()

    isolate({
      GetMissingnessSummaryPlot(inputData)
    })
  })
}
